package com.jay.monitor.data.core.model.serializable;

import com.jay.monitor.data.core.enums.MsgTypeEnums;

import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 基础数据传输
 *
 * @author ： liukx
 * @time ： 2020/8/26 - 16:22
 */
public class BaseDTO implements Serializable {

    public BaseDTO(MsgTypeEnums type) {
        this.type = type;
    }

    /**
     * 数据传输类型
     */
    private MsgTypeEnums type;

    /**
     * 日志编号
     */
    private String logId;
    /**
     * 拓展参数
     */
    private Map<String, Object> extMap = new LinkedHashMap<String, Object>();

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public MsgTypeEnums getType() {
        return type;
    }

    public void setType(MsgTypeEnums type) {
        this.type = type;
    }

    public Map<String, Object> getExtMap() {
        return extMap;
    }

    public void setExtMap(Map<String, Object> extMap) {
        this.extMap = extMap;
    }
}
