package com.jay.monitor.data.server;

import com.alipay.remoting.InvokeContext;
import com.alipay.remoting.rpc.RpcClient;
import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.core.model.serializable.BaseDTO;
import com.jay.monitor.data.core.model.serializable.SQLMonitorDTO;
import com.jay.monitor.data.server.model.TestDataRequest;
import com.jay.monitor.data.server.process.BatchUserProcess;
import com.jay.monitor.data.server.process.SQLUserProcess;
import org.junit.Before;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

public class MonitorDataServerTest {

    private RpcClient rpcClient;

    private String addr = "127.0.0.1:9420";

    @Before
    public void init() {
        rpcClient = new RpcClient();
        rpcClient.startup();

        MonitorDataServer monitorDataServer = new MonitorDataServer(9420);
        monitorDataServer.registerUserProcessor(new SQLUserProcess());
        monitorDataServer.registerUserProcessor(new BatchUserProcess());
        monitorDataServer.start();
    }

    @Test
    public void start() throws Exception {
        while (true) {
            TestDataRequest testDataRequest = new TestDataRequest("lkx", "abc");
            rpcClient.invokeSync(addr, testDataRequest, new InvokeContext(), 3000);
            Thread.sleep(5000);
        }
    }

    @Test
    public void testBaseDTO() throws Exception {
        while (true) {
            BaseDTO baseDTO = new BaseDTO(MsgTypeEnums.URL);
//            monitorDTO.setSqlId("abcds");

            SQLMonitorDTO monitorDTO = new SQLMonitorDTO();
            monitorDTO.setSqlId("asdasdf");
            monitorDTO.setType(MsgTypeEnums.SQL);
            // Arrays.asList(monitorDTO)
            List<BaseDTO> dtos = new ArrayList<>();
            dtos.add(monitorDTO);
            dtos.add(baseDTO);
            rpcClient.oneway(addr, dtos, new InvokeContext());
            Thread.sleep(5000);
        }
    }
}
